Skip to content
Docs

List NKS Persistent Volume Claims

GET/v1/nks/clusters/{cluster_id}/persistent_volume_claims

List all persistent volume claims in an NKS cluster

Path ParametersExpand Collapse
cluster_id: string
Query ParametersExpand Collapse
cursor: optional string

Pagination cursor returned by a previous request

limit: optional number

Maximum number of items to return

maximum100
minimum10
ReturnsExpand Collapse
PersistentVolumeClaimList object { items, pagination }
items: array of PersistentVolumeClaim { id, cluster_id, created_at, 5 more }
id: string

Unique identifier for the persistent volume claim.

cluster_id: string

Cluster this persistent volume claim belongs to.

created_at: string

When the persistent volume claim was first discovered.

formatdate-time
name: string

Name of the persistent volume claim.

size: number

Size of the persistent volume claim in GB.

Status of the resource.

One of the following:
"pending"
"creating"
"updating"
"ready"
"deleting"
"deleted"
"error"

Type of the Volume.

One of the following:
"nvme"
"abs"
updated_at: string

When the persistent volume claim was last updated.

formatdate-time

List NKS Persistent Volume Claims

curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/persistent_volume_claims \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2025-01-01T00:00:00Z",
      "name": "my-volume",
      "size": 100,
      "status": "ready",
      "type": "abs",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}
Returns Examples
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2025-01-01T00:00:00Z",
      "name": "my-volume",
      "size": 100,
      "status": "ready",
      "type": "abs",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}